/*!
 * @header Config
 * Macro definitions according to automated build configuration.
 */

#ifndef __CONFIG__
#define __CONFIG__

/*!
 * @define __attribute__
 * Defined as a no-op if GCC's __attribute__ syntax is not available.
 */
#ifndef HAS_ATTRIBUTE
#define __attribute__(alist)
#endif

/*!
 * @define inline
 * Defined as a no-op if the inline declaration for functions is not
 * available.
 */
#ifndef HAS_INLINE
#define inline
#endif

#endif /* __CONFIG__ */

/* vim:set shiftwidth=2 softtabstop=2: */
